Module java.corba
Package org.omg.CORBA.portable

## Interface BoxedValueHelper

- All Known Implementing Classes:
    `StringValueHelper`, `WStringValueHelper`

      public interface BoxedValueHelper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `get_id​()` |
    `Serializable` | `read_value​(InputStream is)` |
    `void` | `write_value​(OutputStream os, Serializable value)` |

- - ### Method Detail

    - #### read_value

          Serializable read_value​(InputStream is)

    - #### write_value

          void write_value​(OutputStream os,
                           Serializable value)

    - #### get_id

          String get_id​()